/* -*- Mode: CSS; tab-width: 4; indent-tabs-mode: nil; coding: utf-8 -*- */
/*
 * xplo.re svnindex
 *
 * Copyright (c) 2006, xplo.re IT Services, Michael Maier.
 * All rights reserved.
 */

body {
    margin: 0;
    padding: 0;
    font-family: Helvetica, Tahoma, sans-serif;
    font-size: 12px;
    background-color: #fefefe;
}

a {
    color: #004b99;
    text-decoration: none;
}
a:hover {
    text-decoration: none;
}

#header {
    display: block;
    top: 0px;
    color: white;
    background-color: #777;
    padding: 0.5em 1em 0.5em 1em;
    font-size: 12px;
    font-weight: bold;
    border-bottom: 1px solid #555;
    text-shadow: 0px 1px 1px #000;
    height: 14px !important;
}

#footer {
    display: block;
    position: fixed;
    clear: both;
    background: #dfe5ea;
    font-size: 10px;
    bottom: 0px;
    width: 100%;
    border-top: 1px solid #a9b0b4;
}

#revision {
    position: absolute;
    right: 24px;
    top: 39px;
    font-size: 23px;
    padding: 6px;
    font-weight: bold;
    text-align: right;
    color: #fafafa;
    text-shadow: 0px 1px 1px black;
}
#revision > span:first-child {
	display: block;
    font-size: 12px;
    vertical-align: top;
    margin-right: 7px;
    font-family: Tahoma;
    color: #b0b0b0;
    text-shadow: none;
    position: relative;
    right: 10px;
    text-transform: lowercase;
}

#location {
    margin: 30px 20px 0px 20px;
    border-top-left-radius: 16px;
    -webkit-border-top-left-radius: 16px;
    border-top-right-radius: 16px;
    -webkit-border-top-right-radius: 16px;
    padding: 4px 0px 4px 12px;
    white-space: nowrap;
    overflow: hidden;
    text-align: left;
    font-size: 150%;
    background-color: #b0b0b0;
    border-bottom: 1px solid #999;
}

div.left {
    float: left;
    padding: 0.5em 1em 0.5em 1em;
}
div.right {
    float: right;
    text-align: right;
    padding: 0.5em 1em 0.5em 1em;
}
span.right {
    float: right;
}

#listing {
    margin: 0px 20px 40px 20px;
    border-bottom-left-radius: 18px;
    -webkit-border-bottom-left-radius: 18px;
    border-bottom-right-radius: 18px;
    -webkit-border-bottom-right-radius: 18px;
    background-color: #dedede;
    padding-top: 10px;
    padding-bottom: 10px;
}

#listing > table {
    width: 100%;
    border-spacing: 0;
}

#listing > table > tbody > tr.dir > td a,
#listing > table > tbody > tr.file > td a {
    text-decoration: none;
    color: black;
}

#listing > table > tbody > tr > td {
    height: 22px;
    padding: 0 .5em 0 34px;
    background-repeat: no-repeat;
    background-position: 14px 50%;
    vertical-align: middle;
    border-top: 1px solid #eee;
    border-bottom: 1px solid #aaa;
}
#listing > table > tbody > tr:first-child > td {
    border-top: none;
}
#listing > table > tbody > tr:last-child > td {
    border-bottom: none;
}

#listing > table > tbody > tr:hover > td {
    background-color: #f0f0f0;
}

#listing > table > tbody > tr.updir > td {
    background-image: url(icons/up.png);
}
#listing > table > tbody > tr.dir > td {
    background-image: url(icons/folder.png);
}

#listing > table > tbody > tr.file > td {
    background-image: url(icons/file.png);
}

#listing > table > tbody > tr.dir > td > a {
    font-weight: bolder;
    color: #555;
}

#listing > table > tbody > tr.dir[class$=".app"] > td {
    background-image: url(icons/application.png);
}
#listing > table > tbody > tr.dir[class$=".framework"] > td {
    background-image: url(icons/framework.png);
}
#listing > table > tbody > tr.dir[class$=".xcodeproj"] > td {
    background-image: url(icons/developer-tool.png);
}

#listing > table > tbody > tr.file[class$=".7z"] > td,
#listing > table > tbody > tr.file[class$=".bz2"] > td,
#listing > table > tbody > tr.file[class$=".gz"] > td,
#listing > table > tbody > tr.file[class$=".tar"] > td,
#listing > table > tbody > tr.file[class$=".z"] > td,
#listing > table > tbody > tr.file[class$=".zip"] > td {
    background-image: url(icons/archive.png);
}
#listing > table > tbody > tr.file[class="bugs"] > td {
    background-image: url(icons/bug.png);
}
#listing > table > tbody > tr.file[class$=".c"] > td {
    background-image: url(icons/c.png);
}
#listing > table > tbody > tr.file[class$=".c++"] > td,
#listing > table > tbody > tr.file[class$=".cpp"] > td,
#listing > table > tbody > tr.file[class$=".cxx"] > td {
    background-image: url(icons/cpp.png);
}
#listing > table > tbody > tr.file[class$=".cdr"] > td,
#listing > table > tbody > tr.file[class$=".iso"] > td {
    background-image: url(icons/iso.png);
}
#listing > table > tbody > tr.file[class$=".cf"] > td {
    background-image: url(icons/cf.png);
}
#listing > table > tbody > tr.file[class="changelog"] > td,
#listing > table > tbody > tr.file[class^="readme"] > td,
#listing > table > tbody > tr.file[class$=".txt"] > td {
    background-image: url(icons/text.png);
}
#listing > table > tbody > tr.file[class$=".cs"] > td {
    background-image: url(icons/cs.png);
}
#listing > table > tbody > tr.file[class$=".css"] > td {
    background-image: url(icons/css.png);
}
#listing > table > tbody > tr.file[class$=".db"] > td,
#listing > table > tbody > tr.file[class$=".dbo"] > td,
#listing > table > tbody > tr.file[class$=".sqlite"] > td,
#listing > table > tbody > tr.file[class$=".sqlite3"] > td {
    background-image: url(icons/database.png);
}
#listing > table > tbody > tr.file[class$=".dll"] > td,
#listing > table > tbody > tr.file[class$=".dylib"] > td {
    background-image: url(icons/module.png);
}
#listing > table > tbody > tr.file[class$=".doc"] > td {
    background-image: url(icons/word.png);
}
#listing > table > tbody > tr.file[class$=".dsp"] > td,
#listing > table > tbody > tr.file[class$=".dsw"] > td {
    background-image: url(icons/visualstudio.png);
}
#listing > table > tbody > tr.file[class$=".dtd"] > td,
#listing > table > tbody > tr.file[class$=".xml"] > td {
    background-image: url(icons/xml.png);
}
#listing > table > tbody > tr.file[class$=".eml"] > td {
    background-image: url(icons/eml.png);
}
#listing > table > tbody > tr.file[class$=".exe"] > td {
    background-image: url(icons/executable.png);
}
#listing > table > tbody > tr.file[class$=".fdf"] > td,
#listing > table > tbody > tr.file[class$=".pdf"] > td {
    background-image: url(icons/pdf.png);
}
#listing > table > tbody > tr.file[class$=".gif"] > td,
#listing > table > tbody > tr.file[class$=".jpeg"] > td,
#listing > table > tbody > tr.file[class$=".jpg"] > td,
#listing > table > tbody > tr.file[class$=".png"] > td {
    background-image: url(icons/picture.png);
}
#listing > table > tbody > tr.file[class$=".h"] > td,
#listing > table > tbody > tr.file[class$=".h++"] > td,
#listing > table > tbody > tr.file[class$=".hpp"] > td {
    background-image: url(icons/h.png);
}
#listing > table > tbody > tr.file[class$=".htm"] > td,
#listing > table > tbody > tr.file[class$=".html"] > td {
    background-image: url(icons/website.png);
}
#listing > table > tbody > tr.file[class$=".ics"] > td {
    background-image: url(icons/calendar.png);
}
#listing > table > tbody > tr.file[class$=".ini"] > td {
    background-image: url(icons/config.png);
}
#listing > table > tbody > tr.file[class$=".java"] > td {
    background-image: url(icons/java.png);
}
#listing > table > tbody > tr.file[class$=".js"] > td,
#listing > table > tbody > tr.file[class$=".sh"] > td {
    background-image: url(icons/script.png);
}
#listing > table > tbody > tr.file[class="makefile"] > td,
#listing > table > tbody > tr.file[class="makefile.sh"] > td {
    background-image: url(icons/make-script.png);
}
#listing > table > tbody > tr.file[class$=".avi"] > td,
#listing > table > tbody > tr.file[class$=".divx"] > td,
#listing > table > tbody > tr.file[class$=".m4v"] > td,
#listing > table > tbody > tr.file[class$=".mkv"] > td,
#listing > table > tbody > tr.file[class$=".mov"] > td,
#listing > table > tbody > tr.file[class$=".mpeg"] > td,
#listing > table > tbody > tr.file[class$=".mpg"] > td {
    background-image: url(icons/movie.png);
}
#listing > table > tbody > tr.file[class$=".p12"] > td,
#listing > table > tbody > tr.file[class$=".pkcs"] > td {
    background-image: url(icons/certificate.png);
}
#listing > table > tbody > tr.file[class$=".php"] > td,
#listing > table > tbody > tr.file[class$=".php3"] > td,
#listing > table > tbody > tr.file[class$=".php4"] > td,
#listing > table > tbody > tr.file[class$=".php5"] > td,
#listing > table > tbody > tr.file[class$=".php6"] > td,
#listing > table > tbody > tr.file[class$=".phtml"] > td {
    background-image: url(icons/php.png);
}
#listing > table > tbody > tr.file[class$=".ppt"] > td {
    background-image: url(icons/powerpoint.png);
}
#listing > table > tbody > tr.file[class$=".psd"] > td {
    background-image: url(icons/photo.png);
}
#listing > table > tbody > tr.file[class$=".py"] > td {
    background-image: url(icons/py.png);
}
#listing > table > tbody > tr.file[class$=".rb"] > td {
    background-image: url(icons/ruby.png);
}
#listing > table > tbody > tr.file[class$=".shtml"] > td {
    background-image: url(icons/ssi.png);
}
#listing > table > tbody > tr.file[class$=".swf"] > td {
    background-image: url(icons/flash.png);
}
#listing > table > tbody > tr.file[class$=".sql"] > td {
    background-image: url(icons/database-source.png);
}
#listing > table > tbody > tr.file[class$=".tex"] > td {
    background-image: url(icons/tex.png);
}
#listing > table > tbody > tr.file[class$=".vcf"] > td {
    background-image: url(icons/vcard.png);
}
#listing > table > tbody > tr.file[class$=".xls"] > td {
    background-image: url(icons/excel.png);
}
#listing > table > tbody > tr.file[class$=".xsl"] > td {
    background-image: url(icons/xsl.png);
}

/* Needs to overrite .sh. */
#listing > table > tbody > tr.file[class="config.sh"] > td,
#listing > table > tbody > tr.file[class="configure"] > td,
#listing > table > tbody > tr.file[class="configure.sh"] > td,
#listing > table > tbody > tr.file[class$=".htaccess"] > td {
    background-image: url(icons/config-script.png);
}